Bug 279813 - Amarok Wikipedia applet crashes when playing streaming audio [@ WikipediaAppletPrivate::_pageLoadProgress]
Summary: Amarok Wikipedia applet crashes when playing streaming audio [@ WikipediaAppl...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View/Wikipedia (show other bugs)
Version: 2.4-GIT
Platform: Fedora RPMs Linux
: HI crash (vote)
Target Milestone: 2.5
Assignee: Amarok Developers
URL:
Keywords: regression, release_blocker
: 280038 280213 281052 281214 281769 281781 281819 281846 281872 281919 281986 282005 282041 282156 282159 282231 282262 282263 282294 282311 282366 287273 289301 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-08-10 13:00 UTC by Paul Fee
Modified: 2011-12-19 08:31 UTC (History)
35 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments
New crash information added by DrKonqi (33.54 KB, text/plain)
2011-09-11 12:25 UTC, Myriam Schweingruber
Details
New crash information added by DrKonqi (28.02 KB, text/plain)
2011-09-12 03:29 UTC, Alex Lowe
Details
New crash information added by DrKonqi (23.47 KB, text/plain)
2011-09-12 04:03 UTC, Viktor .A Sychev
Details
New crash information added by DrKonqi (17.95 KB, text/plain)
2011-09-13 15:38 UTC, Hrvoje Senjan
Details
New crash information added by DrKonqi (23.92 KB, text/plain)
2011-09-14 11:35 UTC, Yvan Broccard
Details
New crash information added by DrKonqi (23.47 KB, text/plain)
2011-09-14 13:20 UTC, chlorophyll273
Details
New crash information added by DrKonqi (25.49 KB, text/plain)
2011-09-16 14:53 UTC, Laurent
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Fee 2011-08-10 13:00:32 UTC
Application: amarok (2.4.3)
KDE Platform Version: 4.7.00 (4.7.0)
Qt Version: 4.8.0
Operating System: Linux 2.6.40-4.fc15.x86_64 x86_64
Distribution: "Fedora release 15 (Lovelock)"

-- Information about the crash:
- What I was doing when the application crashed:

Selected an internet streaming audio service, e.g. http://205.188.215.230:8000
Play the content.
The audio starts for a brief moment before Amarok crashes.

- Custom settings of the application:
Wikipedia applet present in the Context planel.

Looking at the stack trace, within thread 1, frame #8 I see the wikipedia applet:
#8  0x00007f916cee4ad1 in WikipediaAppletPrivate::_pageLoadProgress (this=0x3d4fee0, progress=100) at /usr/src/debug/amarok-2.4.3/src/context/applets/wikipedia/WikipediaApplet.cpp:482

Removing the applet from the context panel allows Amarok to function as normal.

Hiding the context panel but leaving the wikipedia applet present doesn't fix the crash - the applet must still be functioning even when it's not visible.

The crash occured on Fedora 15 with kde-unstable packages installed from kde-redhat repo.  This included qt 4.8 beta1.

$ rpm -qf /usr/lib64/libQtGui.so.4
qt-x11-4.8.0-0.6.beta1.fc15.x86_64

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7f803b103860 (LWP 4058))]

Thread 14 (Thread 0x7f801c41b700 (LWP 4064)):
#0  0x00007f8037d80423 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003c13442d24 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003c1344325c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f8038704016 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#4  0x00007f80386d42a2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00007f80386d44f7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00007f80385d5eb7 in QThread::exec() () from /usr/lib64/libQtCore.so.4
#7  0x00007f80385d8e9b in ?? () from /usr/lib64/libQtCore.so.4
#8  0x00007f8036e12b31 in start_thread (arg=0x7f801c41b700) at pthread_create.c:305
#9  0x00007f8037d88d2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 13 (Thread 0x7f8018edd700 (LWP 4065)):
#0  0x00007f8037d80423 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003c13442d24 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003c1344325c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f8038704016 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#4  0x00007f80386d42a2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00007f80386d44f7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00007f80385d5eb7 in QThread::exec() () from /usr/lib64/libQtCore.so.4
#7  0x00007f80385d8e9b in ?? () from /usr/lib64/libQtCore.so.4
#8  0x00007f8036e12b31 in start_thread (arg=0x7f8018edd700) at pthread_create.c:305
#9  0x00007f8037d88d2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 12 (Thread 0x7f800f5da700 (LWP 4067)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x00007f80385d93ab in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f8036206164 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x24e6850, th=0x24e89f0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f803620870b in ThreadWeaver::WorkingHardState::applyForWork (this=0x24e6c80, th=0x24e89f0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f80362075cf in ThreadWeaver::ThreadRunHelper::run (this=0x7f800f5d9d40, parent=0x24e6850, th=0x24e89f0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f803620765b in ThreadWeaver::Thread::run (this=0x24e89f0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f80385d8e9b in ?? () from /usr/lib64/libQtCore.so.4
#7  0x00007f8036e12b31 in start_thread (arg=0x7f800f5da700) at pthread_create.c:305
#8  0x00007f8037d88d2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 11 (Thread 0x7f800e6a4700 (LWP 4068)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x00007f80385d93ab in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f8036206164 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x24e6850, th=0x2a0c070) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f803620870b in ThreadWeaver::WorkingHardState::applyForWork (this=0x24e6c80, th=0x2a0c070) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f8036208724 in ThreadWeaver::WorkingHardState::applyForWork (this=0x24e6c80, th=0x2a0c070) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f8036208724 in ThreadWeaver::WorkingHardState::applyForWork (this=0x24e6c80, th=0x2a0c070) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f80362075cf in ThreadWeaver::ThreadRunHelper::run (this=0x7f800e6a3d40, parent=0x24e6850, th=0x2a0c070) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/Thread.cpp:87
#7  0x00007f803620765b in ThreadWeaver::Thread::run (this=0x2a0c070) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/Thread.cpp:142
#8  0x00007f80385d8e9b in ?? () from /usr/lib64/libQtCore.so.4
#9  0x00007f8036e12b31 in start_thread (arg=0x7f800e6a4700) at pthread_create.c:305
#10 0x00007f8037d88d2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 10 (Thread 0x7f800dc99700 (LWP 4069)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x00007f80385d93ab in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f8036206164 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x24e6850, th=0x2a168d0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f803620870b in ThreadWeaver::WorkingHardState::applyForWork (this=0x24e6c80, th=0x2a168d0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f80362075cf in ThreadWeaver::ThreadRunHelper::run (this=0x7f800dc98d40, parent=0x24e6850, th=0x2a168d0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f803620765b in ThreadWeaver::Thread::run (this=0x2a168d0) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f80385d8e9b in ?? () from /usr/lib64/libQtCore.so.4
#7  0x00007f8036e12b31 in start_thread (arg=0x7f800dc99700) at pthread_create.c:305
#8  0x00007f8037d88d2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 9 (Thread 0x7f800d498700 (LWP 4070)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x00007f80385d93ab in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f8036206164 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x24e6850, th=0x2a17f10) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f803620870b in ThreadWeaver::WorkingHardState::applyForWork (this=0x24e6c80, th=0x2a17f10) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f80362075cf in ThreadWeaver::ThreadRunHelper::run (this=0x7f800d497d40, parent=0x24e6850, th=0x2a17f10) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f803620765b in ThreadWeaver::Thread::run (this=0x2a17f10) at /usr/src/debug/kdelibs-4.7.0/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f80385d8e9b in ?? () from /usr/lib64/libQtCore.so.4
#7  0x00007f8036e12b31 in start_thread (arg=0x7f800d498700) at pthread_create.c:305
#8  0x00007f8037d88d2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7f7feffff700 (LWP 4071)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x00007f8032870a7c in ?? () from /usr/lib64/libQtWebKit.so.4
#2  0x00007f8032870ba9 in ?? () from /usr/lib64/libQtWebKit.so.4
#3  0x00007f8036e12b31 in start_thread (arg=0x7f7feffff700) at pthread_create.c:305
#4  0x00007f8037d88d2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7f7feeffd700 (LWP 4074)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x00007f803548bd22 in ?? () from /usr/lib64/libQtScript.so.4
#2  0x00007f803548bd59 in ?? () from /usr/lib64/libQtScript.so.4
#3  0x00007f8036e12b31 in start_thread (arg=0x7f7feeffd700) at pthread_create.c:305
#4  0x00007f8037d88d2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7f7fe0d91700 (LWP 4077)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x00007f801a00498d in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#2  0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#3  0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#4  0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#5  0x00007f7fdb9e22dc in ?? () from /usr/lib64/gstreamer-0.10/libgstmad.so
#6  0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#7  0x00007f8024191baf in gst_base_parse_push_frame () from /usr/lib64/libgstbase-0.10.so.0
#8  0x00007f80241927c6 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#9  0x00007f802419330e in ?? () from /usr/lib64/libgstbase-0.10.so.0
#10 0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#11 0x00007f7fe038f5b6 in ?? () from /usr/lib64/gstreamer-0.10/libgsticydemux.so
#12 0x00007f7fe038f9fe in ?? () from /usr/lib64/gstreamer-0.10/libgsticydemux.so
#13 0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#14 0x00007f801a011a5f in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#15 0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#16 0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#17 0x00007f80241a6158 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#18 0x00007f802444fd70 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#19 0x0000003c1346aa50 in ?? () from /lib64/libglib-2.0.so.0
#20 0x0000003c134683a6 in ?? () from /lib64/libglib-2.0.so.0
#21 0x00007f8036e12b31 in start_thread (arg=0x7f7fe0d91700) at pthread_create.c:305
#22 0x00007f8037d88d2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7f7fdb5a3700 (LWP 4079)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x00007f802419c14f in gst_base_sink_wait_preroll () from /usr/lib64/libgstbase-0.10.so.0
#2  0x00007f8023d5ca28 in ?? () from /usr/lib64/libgstaudio-0.10.so.0
#3  0x00007f802419db27 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#4  0x00007f80241a038a in ?? () from /usr/lib64/libgstbase-0.10.so.0
#5  0x00007f80241a06fc in ?? () from /usr/lib64/libgstbase-0.10.so.0
#6  0x00007f80241a0b02 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#7  0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#8  0x00007f80241ade87 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#9  0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#10 0x00007f80241ade87 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#11 0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#12 0x00007f80241ade87 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#13 0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#14 0x00007f801a00589a in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#15 0x00007f802444fd70 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#16 0x0000003c1346aa50 in ?? () from /lib64/libglib-2.0.so.0
#17 0x0000003c134683a6 in ?? () from /lib64/libglib-2.0.so.0
#18 0x00007f8036e12b31 in start_thread (arg=0x7f7fdb5a3700) at pthread_create.c:305
#19 0x00007f8037d88d2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7f7fdada2700 (LWP 4080)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x00007f801a00498d in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#2  0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#3  0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#4  0x00007f801a00f7df in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#5  0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#6  0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#7  0x00007f80241ade87 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#8  0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#9  0x00007f80241ade87 in ?? () from /usr/lib64/libgstbase-0.10.so.0
#10 0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#11 0x00007f801a00589a in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#12 0x00007f802444fd70 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#13 0x0000003c1346aa50 in ?? () from /lib64/libglib-2.0.so.0
#14 0x0000003c134683a6 in ?? () from /lib64/libglib-2.0.so.0
#15 0x00007f8036e12b31 in start_thread (arg=0x7f7fdada2700) at pthread_create.c:305
#16 0x00007f8037d88d2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7f7fda5a1700 (LWP 4081)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x00007f801a00498d in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#2  0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#3  0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#4  0x00007f801a00f390 in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#5  0x00007f801a00f7df in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#6  0x00007f80244295dc in gst_pad_push () from /usr/lib64/libgstreamer-0.10.so.0
#7  0x00007f801a00589a in ?? () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#8  0x00007f802444fd70 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#9  0x0000003c1346aa50 in ?? () from /lib64/libglib-2.0.so.0
#10 0x0000003c134683a6 in ?? () from /lib64/libglib-2.0.so.0
#11 0x00007f8036e12b31 in start_thread (arg=0x7f7fda5a1700) at pthread_create.c:305
#12 0x00007f8037d88d2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7f801ee44700 (LWP 4082)):
#0  0x00007f8037d80423 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x000000313fc2c05f in ?? () from /usr/lib64/libpulse.so.0
#2  0x000000313fc1dee6 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x000000313fc1e519 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x000000313fc1e5d0 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x000000313fc2c00f in ?? () from /usr/lib64/libpulse.so.0
#6  0x0000003140038788 in ?? () from /usr/lib64/libpulsecommon-0.9.22.so
#7  0x00007f8036e12b31 in start_thread (arg=0x7f801ee44700) at pthread_create.c:305
#8  0x00007f8037d88d2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f803b103860 (LWP 4058)):
[KCrash Handler]
#6  0x00007f803951d0b6 in QProgressBar::setFormat(QString const&) () from /usr/lib64/libQtGui.so.4
#7  0x00007f800c66aad1 in WikipediaAppletPrivate::_pageLoadProgress (this=0x2a60370, progress=100) at /usr/src/debug/amarok-2.4.3/src/context/applets/wikipedia/WikipediaApplet.cpp:482
#8  0x00007f800c66fab4 in WikipediaApplet::qt_metacall (this=0x2aaf190, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffebcae7e0) at /usr/src/debug/amarok-2.4.3/x86_64-redhat-linux-gnu/src/context/applets/wikipedia/WikipediaApplet.moc:135
#9  0x00007f80386e914d in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#10 0x00007f8031f3d6b1 in QGraphicsWebView::loadProgress(int) () from /usr/lib64/libQtWebKit.so.4
#11 0x00007f8031f3da06 in QGraphicsWebView::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libQtWebKit.so.4
#12 0x00007f80309a86d0 in KGraphicsWebView::qt_metacall (this=0x2ad4b80, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffebcae9e0) at /usr/src/debug/kdelibs-4.7.0/x86_64-redhat-linux-gnu/kdewebkit/kgraphicswebview.moc:74
#13 0x00007f80386e914d in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#14 0x00007f8031f3fd91 in QWebPage::loadProgress(int) () from /usr/lib64/libQtWebKit.so.4
#15 0x00007f8031f47957 in QWebPage::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libQtWebKit.so.4
#16 0x00007f80309ace65 in KWebPage::qt_metacall (this=0x2a5f240, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffebcaec10) at /usr/src/debug/kdelibs-4.7.0/x86_64-redhat-linux-gnu/kdewebkit/kwebpage.moc:84
#17 0x00007f80386e914d in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#18 0x00007f8031f7396e in ?? () from /usr/lib64/libQtWebKit.so.4
#19 0x00007f8032313329 in WebCore::ProgressTracker::finalProgressComplete() () from /usr/lib64/libQtWebKit.so.4
#20 0x00007f8032313428 in WebCore::ProgressTracker::progressCompleted(WebCore::Frame*) () from /usr/lib64/libQtWebKit.so.4
#21 0x00007f80322f1a5b in WebCore::FrameLoader::recursiveCheckLoadComplete() () from /usr/lib64/libQtWebKit.so.4
#22 0x00007f8032322394 in WebCore::SubresourceLoader::didFinishLoading(double) () from /usr/lib64/libQtWebKit.so.4
#23 0x00007f8032531cc3 in WebCore::QNetworkReplyHandler::finish() () from /usr/lib64/libQtWebKit.so.4
#24 0x00007f8032531b78 in WebCore::QNetworkReplyHandlerCallQueue::flush() () from /usr/lib64/libQtWebKit.so.4
#25 0x00007f8032531be5 in WebCore::QNetworkReplyHandlerCallQueue::push(void (WebCore::QNetworkReplyHandler::*)()) () from /usr/lib64/libQtWebKit.so.4
#26 0x00007f80325325fc in WebCore::QNetworkReplyWrapper::didReceiveFinished() () from /usr/lib64/libQtWebKit.so.4
#27 0x00007f8032532ccd in WebCore::QNetworkReplyWrapper::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libQtWebKit.so.4
#28 0x00007f80386e914d in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#29 0x00007f803679082c in KDEPrivate::AccessManagerReply::slotResult (this=0x3ab99e0, kJob=0x3ab1090) at /usr/src/debug/kdelibs-4.7.0/kio/kio/accessmanagerreply_p.cpp:352
#30 0x00007f8036790983 in KDEPrivate::AccessManagerReply::qt_metacall (this=0x3ab99e0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffebcaf230) at /usr/src/debug/kdelibs-4.7.0/x86_64-redhat-linux-gnu/kio/accessmanagerreply_p.moc:84
#31 0x00007f80386e914d in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#32 0x00007f8038b66e32 in KJob::result (this=<optimized out>, _t1=0x3ab1090) at /usr/src/debug/kdelibs-4.7.0/x86_64-redhat-linux-gnu/kdecore/kjob.moc:194
#33 0x00007f8038b66e70 in KJob::emitResult (this=0x3ab1090) at /usr/src/debug/kdelibs-4.7.0/kdecore/jobs/kjob.cpp:312
#34 0x00007f80367c81c4 in KIO::SimpleJob::slotFinished (this=0x3ab1090) at /usr/src/debug/kdelibs-4.7.0/kio/kio/job.cpp:494
#35 0x00007f80367cfc02 in KIO::TransferJob::slotFinished (this=0x3ab1090) at /usr/src/debug/kdelibs-4.7.0/kio/kio/job.cpp:1081
#36 0x00007f80367ce561 in KIO::TransferJob::qt_metacall (this=0x3ab1090, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffebcaf660) at /usr/src/debug/kdelibs-4.7.0/x86_64-redhat-linux-gnu/kio/jobclasses.moc:369
#37 0x00007f80386e914d in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#38 0x00007f80368730e1 in KIO::SlaveInterface::dispatch (this=<optimized out>, _cmd=104, rawdata=...) at /usr/src/debug/kdelibs-4.7.0/kio/kio/slaveinterface.cpp:172
#39 0x00007f803686ff45 in KIO::SlaveInterface::dispatch (this=0x2b99c60) at /usr/src/debug/kdelibs-4.7.0/kio/kio/slaveinterface.cpp:88
#40 0x00007f8036862fde in KIO::Slave::gotInput (this=0x2b99c60) at /usr/src/debug/kdelibs-4.7.0/kio/kio/slave.cpp:344
#41 0x00007f803686373c in KIO::Slave::qt_metacall (this=0x2b99c60, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffebcafb00) at /usr/src/debug/kdelibs-4.7.0/x86_64-redhat-linux-gnu/kio/slave.moc:82
#42 0x00007f80386e914d in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#43 0x00007f8036799547 in dequeue (this=<optimized out>) at /usr/src/debug/kdelibs-4.7.0/kio/kio/connection.cpp:82
#44 KIO::ConnectionPrivate::dequeue (this=0x2037ab0) at /usr/src/debug/kdelibs-4.7.0/kio/kio/connection.cpp:71
#45 0x00007f80367995ed in KIO::Connection::qt_metacall (this=0x2aa03e0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x3b393a0) at /usr/src/debug/kdelibs-4.7.0/x86_64-redhat-linux-gnu/kio/connection.moc:79
#46 0x00007f80386ee166 in QObject::event(QEvent*) () from /usr/lib64/libQtCore.so.4
#47 0x00007f80390cb564 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#48 0x00007f80390d03f3 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#49 0x00007f803ab07156 in KApplication::notify (this=0x7fffebcb0570, receiver=0x2aa03e0, event=0x3b42eb0) at /usr/src/debug/kdelibs-4.7.0/kdeui/kernel/kapplication.cpp:311
#50 0x00007f80386d516c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#51 0x00007f80386d8a9e in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQtCore.so.4
#52 0x00007f8038703b83 in ?? () from /usr/lib64/libQtCore.so.4
#53 0x0000003c134427ed in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#54 0x0000003c13442fc8 in ?? () from /lib64/libglib-2.0.so.0
#55 0x0000003c1344325c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#56 0x00007f8038703faf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#57 0x00007f803916dfbe in ?? () from /usr/lib64/libQtGui.so.4
#58 0x00007f80386d42a2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#59 0x00007f80386d44f7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#60 0x00007f80386d8f35 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#61 0x000000000040916e in main (argc=1, argv=0x7fffebcb2b78) at /usr/src/debug/amarok-2.4.3/src/main.cpp:289

Reported using DrKonqi
Comment 1 S.Trzmiel 2011-08-11 10:45:04 UTC
I can confirm this problem.

kdebase-workspace-4.7.0-2.fc15.i686
phonon-4.5.0-2.fc15.i686
amarok-2.4.3-1.fc15.i686
qt-4.8.0-0.6.beta1.fc15.i686
Comment 2 Myriam Schweingruber 2011-08-13 10:03:43 UTC
Changing status based on comments.

Could you both please specify which phonon backend you are using?
Comment 3 S.Trzmiel 2011-08-13 19:32:57 UTC
I've tried VLC, GStreamer and Xine backends it happens on all of them.
Comment 4 Paul Fee 2011-08-13 23:36:41 UTC
I was using the default backend on my system, which turns out to be GStreamer.  I haven't tried other backends.
Comment 5 Myriam Schweingruber 2011-08-14 06:53:40 UTC
*** Bug 280038 has been marked as a duplicate of this bug. ***
Comment 6 Myriam Schweingruber 2011-08-14 06:54:52 UTC
Could you all please try removing the amarok* files in $HOME/.kde/share/config/ and try again?
Comment 7 S.Trzmiel 2011-08-14 07:56:43 UTC
Removing config files was my one of the first steps in the process of troubleshooting this issue.
To make sure I've removed all the files related to Amarok from tmp and cache dirs, and config files from ~/.kde/share/apps and  ~/.kde/share/config

The problem still persist
Comment 8 samuel2 2011-08-14 12:52:11 UTC
Im also using gstreamer as backend (default).... delelting the config-file does not help anything...
Comment 9 samuel2 2011-08-14 13:03:39 UTC
i can confirm it just crashes when the wikipedia applet is activated. So for me as workaround i deactivate this applet....
Comment 10 Myriam Schweingruber 2011-08-17 06:51:05 UTC
*** Bug 280213 has been marked as a duplicate of this bug. ***
Comment 11 Myriam Schweingruber 2011-08-17 06:58:30 UTC
You all use Qt 4.8 apparently, so this might be a hint.

FWIW, I can't reproduce this here, using Amarok 2.4.3 on Kubuntu Oneiric alpha, Qt 4.7.3, KDE 4.7.0
Comment 12 Gilboa Davara 2011-08-21 14:01:10 UTC
As far as I can see, it looks like a collision between qt 4.8 beta and the wikipedia applet.

- Gilboa
Comment 13 Myriam Schweingruber 2011-08-21 15:33:32 UTC
Amarok requires Qt 4.6, so any regressions caused by newer Qt version should be reported upstream as it breaks backwards compatibility.
Comment 14 Paul Fee 2011-08-21 22:56:04 UTC
Hello Myriam,

Regarding closing this and marking it Resolved/Upstream.  Does that mean you or someone has already reported it to Qt or are you closing it from a KDE viewpoint and leaving it to someone else to report it upstream?

If it has been reported upstream, is there a link to the upstream bug so we can follow its progress there?

If it's back to us Qt 4.8 users to contact the upstream project have you advice on how to do this?  Would you suggest going straight to Nokia (http://qt.nokia.com/support) or via the distro which has provided the Qt 4.8 beta packages to me (Fedora)?

Thanks,
Paul
Comment 15 Myriam Schweingruber 2011-08-21 23:32:29 UTC
This is from the KDE POV indeed. The bug needs to be reported to Nokia through their bug tracker https://bugreports.qt.nokia.com and provide a test case. See also this blog post about the HowTo: http://labs.qt.nokia.com/2010/03/02/how-to-file-a-qt-bug-report-in-the-new-bug-tracker/

If your distribution can help you with that I don't know, you should ask them though, since they are shipping the beta package.
Comment 16 Myriam Schweingruber 2011-08-31 22:36:13 UTC
*** Bug 281052 has been marked as a duplicate of this bug. ***
Comment 17 Myriam Schweingruber 2011-09-02 21:45:25 UTC
*** Bug 281214 has been marked as a duplicate of this bug. ***
Comment 18 Myriam Schweingruber 2011-09-11 12:07:08 UTC
*** Bug 281769 has been marked as a duplicate of this bug. ***
Comment 19 Myriam Schweingruber 2011-09-11 12:25:54 UTC
Created attachment 63558 [details]
New crash information added by DrKonqi

amarok (2.4-GIT) on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed:

Created a playlist and removed one album from the playlist when the crash happened.

Apparently this concerns Qt 4.7.4 onwards, reopening.

-- Backtrace (Reduced):
#7  0x019f8748 in QString::operator== (this=0x244c8c60, other=...) at tools/qstring.cpp:2140
#8  0x05e23cfb in QProgressBar::setFormat (this=0x640061, format=...) at widgets/qprogressbar.cpp:581
#9  0x0826afa6 in WikipediaAppletPrivate::_pageLoadProgress (this=0x94dbd38, progress=100) at /home/myriam/kde/src/amarok/src/context/applets/wikipedia/WikipediaApplet.cpp:483
#10 0x0826d43f in WikipediaApplet::qt_metacall (this=0x94d6470, _c=QMetaObject::InvokeMetaMethod, _id=20, _a=0xbface088) at /home/myriam/kde/build/amarok/src/context/applets/wikipedia/WikipediaApplet.moc:135
#11 0x01ab2b7d in metacall (argv=0xbface088, idx=91, cl=QMetaObject::InvokeMetaMethod, object=0x94d6470) at kernel/qmetaobject.cpp:237
Comment 20 Myriam Schweingruber 2011-09-11 12:28:00 UTC
Since we are going to depend on a newer Qt version soon, this is a regression and also an upstream bug in Qt, breaking the compatibility.
Comment 21 Myriam Schweingruber 2011-09-11 12:58:54 UTC
*** Bug 281781 has been marked as a duplicate of this bug. ***
Comment 22 Myriam Schweingruber 2011-09-11 22:18:23 UTC
*** Bug 281819 has been marked as a duplicate of this bug. ***
Comment 23 Alex Lowe 2011-09-12 03:29:29 UTC
Created attachment 63576 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

This appears to happen no matter what filetype is played, and occurs even on a newly-opened copy of Amarok.

-- Backtrace (Reduced):
#6  QProgressBar::setFormat (this=0x1e0, format=...) at widgets/qprogressbar.cpp:581
[...]
#10 0x00007f103a660681 in QGraphicsWebView::loadProgress (this=<optimized out>, _t1=100) at ./moc_qgraphicswebview.cpp:221
#11 0x00007f103a6609d6 in QGraphicsWebView::qt_metacall (this=0x7f10208e56e0, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x7fffc886bdf0) at ./moc_qgraphicswebview.cpp:144
#12 0x00007f10393db050 in KGraphicsWebView::qt_metacall (this=0x7f10208e56e0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffc886bdf0) at ./kgraphicswebview.moc:74
[...]
#14 0x00007f103a663071 in QWebPage::loadProgress (this=<optimized out>, _t1=100) at ./moc_qwebpage.cpp:369
Comment 24 Viktor .A Sychev 2011-09-12 04:03:36 UTC
Created attachment 63577 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed:

Starter  playing composition, after a few seconds of playback amarok was crashed with SEGV (Segmentation Fault) signal. I disabled Wikipedia applet and crash disappeared amarok works fine.

-- Backtrace (Reduced):
#6  QProgressBar::setFormat (this=0x1e0, format=...) at widgets/qprogressbar.cpp:581
#7  0x00007f871439bba1 in WikipediaAppletPrivate::_pageLoadProgress (this=0x19854e0, progress=100) at ../../../../../src/context/applets/wikipedia/WikipediaApplet.cpp:482
#8  0x00007f87143a0b94 in WikipediaApplet::qt_metacall (this=0x19890d0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff0abb9910) at ./WikipediaApplet.moc:135
[...]
#10 0x00007f873b15c681 in QGraphicsWebView::loadProgress(int) () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#11 0x00007f873b15c9d6 in QGraphicsWebView::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
Comment 25 Myriam Schweingruber 2011-09-12 07:07:35 UTC
*** Bug 281846 has been marked as a duplicate of this bug. ***
Comment 26 Myriam Schweingruber 2011-09-12 15:29:36 UTC
*** Bug 281872 has been marked as a duplicate of this bug. ***
Comment 27 Myriam Schweingruber 2011-09-13 07:58:11 UTC
*** Bug 281919 has been marked as a duplicate of this bug. ***
Comment 28 Hrvoje Senjan 2011-09-13 15:38:25 UTC
Created attachment 63620 [details]
New crash information added by DrKonqi

amarok (2.4-GIT) on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed:

Opening wikipedia pplet crashed Amarok compiled from todays master (13. Septemeber), using all backends, compiled againt QT 4.7.4

-- Backtrace (Reduced):
#6  QProgressBar::setFormat (this=0x1e0, format=...) at widgets/qprogressbar.cpp:581
#7  0x00007f4383c64ba1 in WikipediaAppletPrivate::_pageLoadProgress (this=0x2609b90, progress=100) at ../../../../../src/context/applets/wikipedia/WikipediaApplet.cpp:483
#8  0x00007f4383c69b94 in WikipediaApplet::qt_metacall (this=0x25936d0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff2c879fd0) at ./WikipediaApplet.moc:135
[...]
#10 0x00007f43d1b26681 in QGraphicsWebView::loadProgress (this=<optimized out>, _t1=100) at ./moc_qgraphicswebview.cpp:221
#11 0x00007f43d1b269d6 in QGraphicsWebView::qt_metacall (this=0x24da150, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x7fff2c87a160) at ./moc_qgraphicswebview.cpp:144
Comment 29 Myriam Schweingruber 2011-09-14 07:46:07 UTC
*** Bug 281986 has been marked as a duplicate of this bug. ***
Comment 30 Yvan Broccard 2011-09-14 11:35:47 UTC
Created attachment 63643 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed:

started amarok, a few apps opened (konsole, thunderbird, chrome)

-- Backtrace (Reduced):
#6  0x00007ffccff0d206 in QString::operator== (this=0x7ffcae907a20, other=...) at tools/qstring.cpp:2140
#7  0x00007ffcd0df82ac in QProgressBar::setFormat (this=0x347c970, format=...) at widgets/qprogressbar.cpp:581
#8  0x00007ffca0b96ba1 in WikipediaAppletPrivate::_pageLoadProgress (this=0x34fdfa0, progress=100) at ../../../../../src/context/applets/wikipedia/WikipediaApplet.cpp:482
#9  0x00007ffca0b9bb94 in WikipediaApplet::qt_metacall (this=0x34753d0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff63237250) at ./WikipediaApplet.moc:135
[...]
#11 0x00007ffcc6557681 in QGraphicsWebView::loadProgress(int) () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
Comment 31 chlorophyll273 2011-09-14 13:20:07 UTC
Created attachment 63645 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed:

Filled the Playlist, it plays 2 Seconds, then crash

-- Backtrace (Reduced):
#6  QProgressBar::setFormat (this=0x1e0, format=...) at widgets/qprogressbar.cpp:581
#7  0x00007f93631d0ba1 in WikipediaAppletPrivate::_pageLoadProgress (this=0x30c61f0, progress=100) at ../../../../../src/context/applets/wikipedia/WikipediaApplet.cpp:482
#8  0x00007f93631d5b94 in WikipediaApplet::qt_metacall (this=0x30c6c20, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffc86fcdb0) at ./WikipediaApplet.moc:135
[...]
#10 0x00007f9390acf681 in QGraphicsWebView::loadProgress(int) () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#11 0x00007f9390acf9d6 in QGraphicsWebView::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
Comment 32 Martin Kho 2011-09-15 10:16:31 UTC
Hi,

FYI: I opened a report [1] at Nokia.(QT) for this issue.

Martin Kho

[1] https://bugreports.qt.nokia.com/browse/QTBUG-21469
Comment 33 Myriam Schweingruber 2011-09-15 10:19:38 UTC
*** Bug 282005 has been marked as a duplicate of this bug. ***
Comment 34 Myriam Schweingruber 2011-09-16 10:42:48 UTC
*** Bug 282041 has been marked as a duplicate of this bug. ***
Comment 35 Laurent 2011-09-16 14:53:49 UTC
Created attachment 63702 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed:
Just started Amarok as usual, crashed as soon as I try to play, was fine before my system updates where QT libraries were upgraded (to 4.7.4).

-- Backtrace (Reduced):
#6  QProgressBar::setFormat (this=0x1e0, format=...) at widgets/qprogressbar.cpp:581
#7  0x00007f05c3346ba1 in WikipediaAppletPrivate::_pageLoadProgress (this=0x323c530, progress=100) at ../../../../../src/context/applets/wikipedia/WikipediaApplet.cpp:482
#8  0x00007f05c334bb94 in WikipediaApplet::qt_metacall (this=0x323cb50, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff5659a5a0) at ./WikipediaApplet.moc:135
[...]
#10 0x00007f05eb95d681 in QGraphicsWebView::loadProgress (this=<optimized out>, _t1=100) at ./moc_qgraphicswebview.cpp:221
#11 0x00007f05eb95d9d6 in QGraphicsWebView::qt_metacall (this=0x7f05d437c000, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x7fff5659a730) at ./moc_qgraphicswebview.cpp:144
Comment 36 Christoph Feck 2011-09-16 19:56:31 UTC
Why should that be a Qt bug? The last backtrace clearly shows that WikipediaAppletPrivate::_pageLoadProgress() calls QProgressBar::setFormat() with an invalid widget pointer. I haven't checked where it does get that pointer from, but I doubt that Qt passes you an invalid widget.
Comment 37 Myriam Schweingruber 2011-09-17 09:33:32 UTC
(In reply to comment #36)
> Why should that be a Qt bug? The last backtrace clearly shows that
> WikipediaAppletPrivate::_pageLoadProgress() calls QProgressBar::setFormat()
> with an invalid widget pointer. I haven't checked where it does get that
> pointer from, but I doubt that Qt passes you an invalid widget.

Please have a look at the related report. This only happens with Qt 4.7.4 and  higher. BTW, did you see that i reopened the report and changed its importance? If it were Qt only I would have left it closed as upstream...
Comment 38 Myriam Schweingruber 2011-09-17 09:47:34 UTC
*** Bug 282159 has been marked as a duplicate of this bug. ***
Comment 39 Myriam Schweingruber 2011-09-17 09:48:34 UTC
*** Bug 282156 has been marked as a duplicate of this bug. ***
Comment 40 Myriam Schweingruber 2011-09-18 19:28:58 UTC
*** Bug 282231 has been marked as a duplicate of this bug. ***
Comment 41 Myriam Schweingruber 2011-09-18 19:46:36 UTC
*** Bug 282262 has been marked as a duplicate of this bug. ***
Comment 42 Myriam Schweingruber 2011-09-18 19:50:07 UTC
*** Bug 282263 has been marked as a duplicate of this bug. ***
Comment 43 Myriam Schweingruber 2011-09-18 20:16:13 UTC
*** Bug 282294 has been marked as a duplicate of this bug. ***
Comment 44 Myriam Schweingruber 2011-09-18 20:19:25 UTC
*** Bug 282311 has been marked as a duplicate of this bug. ***
Comment 45 Kevin Funk 2011-09-18 21:46:33 UTC
Git commit 027340cd9a8e01762d0ec0aafb46f4b05a7d29e8 by Kevin Funk.
Committed on 18/09/2011 at 23:37.
Pushed by kfunk into branch 'master'.

Fix crash in WikipediaApplet.

The crash happened because of the loadProgress() signal triggering the
_pageLoadProgress() slot in the Wikipedia applet *after* the
_pageLoadFinished() has been triggered already.
That caused a null-pointer dereference.

The actual problem is that we are not disconnecting from the webView
loadProgress() signal after some page loading has been finished.

Also remove some not-so-pretty static_assert statements and use a more
type-safe approach to keep track of the progress bar proxy widget.
Use some soft asserts to avoid the worst-case when the proxy widget may
have been deleted somehow.

BUG: 279813
FIXED-IN: 2.5

M  +27   -10   src/context/applets/wikipedia/WikipediaApplet.cpp
M  +2    -0    src/context/applets/wikipedia/WikipediaApplet_p.h

http://commits.kde.org/amarok/027340cd9a8e01762d0ec0aafb46f4b05a7d29e8
Comment 46 Kevin Funk 2011-09-18 21:59:51 UTC
Most likely a bug in the order of loadProgress and loadFinished signals in QWebView that got introduced with Qt 4.7.4.

These are the upstream reports dealing with this bug:
* https://bugs.webkit.org/show_bug.cgi?id=66016
* https://bugs.webkit.org/show_bug.cgi?id=28851
Comment 47 Myriam Schweingruber 2011-09-19 17:12:51 UTC
Those using Oneiric, could you please upgrade and check? There was a fix of the QtWebkit bug released today.
Comment 48 Fabrizio FIscher 2011-09-19 17:34:45 UTC
Didn't fix it for me, still crashing 1 second after starting playback using Oneiric with all available upgrades.
Comment 49 Myriam Schweingruber 2011-09-19 18:58:05 UTC
Apparently it is not in the repositories yet, the libqtwebkit4 file here still says week 34 which was end of August.
Comment 50 Kevin Funk 2011-09-19 19:03:55 UTC
For you interest, in case some people are not aware of this:

You can temporarily work-around this bug by removing the Wikipedia applet before playing anything.
Comment 51 Fabrizio FIscher 2011-09-19 19:06:58 UTC
Thank u for that great information, it is working! But still - using Clementine till this bug is fixed completly ;)
Comment 52 Myriam Schweingruber 2011-09-19 20:43:09 UTC
*** Bug 282366 has been marked as a duplicate of this bug. ***
Comment 53 Hrvoje Senjan 2011-09-20 13:04:32 UTC
This is fixed for me with the latest QtWebkit update:

libqtwebkit4:
  Installed: 2.2~2011week36-0ubuntu1
  Candidate: 2.2~2011week36-0ubuntu1
  Version table:
 *** 2.2~2011week36-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status
Comment 54 Hrvoje Senjan 2011-09-20 13:07:02 UTC
Also, it's working without commit 027340cd9a8e01762d0ec0aafb46f4b05a7d29e8 by Kevin Funk
Comment 55 Martin Kho 2011-09-20 15:48:28 UTC
Hi,

In Fedora qtwebkit was updated to version qtwebkit-2.2.0-0.1.rc1.fc16.x86_64. This version solves the issue. Kevin Funk's commit isn't used/necessary.

Thanks,

Martin Kho
Comment 56 Myriam Schweingruber 2011-09-20 15:57:31 UTC
Great news, thanks all for testing :)
Comment 57 e.crepieux 2011-09-20 17:57:01 UTC
Ok, problem is gone after the upgrade.
Thanks, ErwinC

In reply to comment #47)
> Those using Oneiric, could you please upgrade and check? There was a fix of the
> QtWebkit bug released today.
Comment 58 Myriam Schweingruber 2011-11-23 23:31:09 UTC
*** Bug 287273 has been marked as a duplicate of this bug. ***
Comment 59 Myriam Schweingruber 2011-12-19 08:31:19 UTC
*** Bug 289301 has been marked as a duplicate of this bug. ***